org.apache.hadoop.hdfs.qjournal.protocol

## Class InterQJournalProtocolProtos.InterQJournalProtocolService

- java.lang.Object
- - org.apache.hadoop.hdfs.qjournal.protocol.InterQJournalProtocolProtos.InterQJournalProtocolService

- All Implemented Interfaces:
    com.google.protobuf.Service
  Direct Known Subclasses:
    InterQJournalProtocolProtos.InterQJournalProtocolService.Stub
  Enclosing class:
    InterQJournalProtocolProtos

      public abstract static class InterQJournalProtocolProtos.InterQJournalProtocolService
      extends Object
      implements com.google.protobuf.Service

  Protobuf service `hadoop.hdfs.qjournal.InterQJournalProtocolService`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `InterQJournalProtocolProtos.InterQJournalProtocolService.BlockingInterface`
    `static interface` | `InterQJournalProtocolProtos.InterQJournalProtocolService.Interface`
    `static class` | `InterQJournalProtocolProtos.InterQJournalProtocolService.Stub`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InterQJournalProtocolService()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `callMethod(com.google.protobuf.Descriptors.MethodDescriptor method, com.google.protobuf.RpcController controller, com.google.protobuf.Message request, com.google.protobuf.RpcCallback<com.google.protobuf.Message> done)`
    `static com.google.protobuf.Descriptors.ServiceDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.ServiceDescriptor` | `getDescriptorForType()`
    `abstract void` | `getEditLogManifestFromJournal(com.google.protobuf.RpcController controller, QJournalProtocolProtos.GetEditLogManifestRequestProto request, com.google.protobuf.RpcCallback<QJournalProtocolProtos.GetEditLogManifestResponseProto> done)` `rpc getEditLogManifestFromJournal(.hadoop.hdfs.qjournal.GetEditLogManifestRequestProto) returns (.hadoop.hdfs.qjournal.GetEditLogManifestResponseProto);`
    `com.google.protobuf.Message` | `getRequestPrototype(com.google.protobuf.Descriptors.MethodDescriptor method)`
    `com.google.protobuf.Message` | `getResponsePrototype(com.google.protobuf.Descriptors.MethodDescriptor method)`
    `static InterQJournalProtocolProtos.InterQJournalProtocolService.BlockingInterface` | `newBlockingStub(com.google.protobuf.BlockingRpcChannel channel)`
    `static com.google.protobuf.BlockingService` | `newReflectiveBlockingService(InterQJournalProtocolProtos.InterQJournalProtocolService.BlockingInterface impl)`
    `static com.google.protobuf.Service` | `newReflectiveService(InterQJournalProtocolProtos.InterQJournalProtocolService.Interface impl)`
    `static InterQJournalProtocolProtos.InterQJournalProtocolService.Stub` | `newStub(com.google.protobuf.RpcChannel channel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InterQJournalProtocolService

          protected InterQJournalProtocolService()

  - ### Method Detail

    - #### newReflectiveService

          public static com.google.protobuf.Service newReflectiveService(InterQJournalProtocolProtos.InterQJournalProtocolService.Interface impl)

    - #### newReflectiveBlockingService

          public static com.google.protobuf.BlockingService newReflectiveBlockingService(InterQJournalProtocolProtos.InterQJournalProtocolService.BlockingInterface impl)

    - #### getEditLogManifestFromJournal

          public abstract void getEditLogManifestFromJournal(com.google.protobuf.RpcController controller,
                                                             QJournalProtocolProtos.GetEditLogManifestRequestProto request,
                                                             com.google.protobuf.RpcCallback<QJournalProtocolProtos.GetEditLogManifestResponseProto> done)

      `rpc getEditLogManifestFromJournal(.hadoop.hdfs.qjournal.GetEditLogManifestRequestProto) returns (.hadoop.hdfs.qjournal.GetEditLogManifestResponseProto);`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.ServiceDescriptor getDescriptor()

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.ServiceDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Service`

    - #### callMethod

          public final void callMethod(com.google.protobuf.Descriptors.MethodDescriptor method,
                                       com.google.protobuf.RpcController controller,
                                       com.google.protobuf.Message request,
                                       com.google.protobuf.RpcCallback<com.google.protobuf.Message> done)

      Specified by:
        `callMethod` in interface `com.google.protobuf.Service`

    - #### getRequestPrototype

          public final com.google.protobuf.Message getRequestPrototype(com.google.protobuf.Descriptors.MethodDescriptor method)

      Specified by:
        `getRequestPrototype` in interface `com.google.protobuf.Service`

    - #### getResponsePrototype

          public final com.google.protobuf.Message getResponsePrototype(com.google.protobuf.Descriptors.MethodDescriptor method)

      Specified by:
        `getResponsePrototype` in interface `com.google.protobuf.Service`

    - #### newStub

          public static InterQJournalProtocolProtos.InterQJournalProtocolService.Stub newStub(com.google.protobuf.RpcChannel channel)

    - #### newBlockingStub

          public static InterQJournalProtocolProtos.InterQJournalProtocolService.BlockingInterface newBlockingStub(com.google.protobuf.BlockingRpcChannel channel)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.